#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		shortname	canberra
#-----------------------------------------------------------------------------
Name		:	libcanberra
Version		:	0.30
Release		:	14.8.0.0%{?dist}
Summary		:	XDG Sound Theme and Name Specifications

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	http://0pointer.de/lennart/projects/libcanberra

Source0		:	%{name}-%{version}.tar.xz

buildroot	:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#-----------------------------------------------------------------------------
Buildrequires	:	libvorbis
Buildrequires	:	alsa-lib
Buildrequires	:	gtk3+
Buildrequires	:	vala

Requires	:	alsa-lib
#-----------------------------------------------------------------------------
%description
libcanberra is an implementation of the [34]XDG Sound Theme and Name
Specifications, for generating event sounds on free desktops, such as
[35]GNOME. It comes with several backends ([36]ALSA, [37]PulseAudio,
OSS, [38]GStreamer, null) and is designed to be portable.

%prep
%setup -q 

#---------------------------------------------------------
#building application
%build

./configure							\
        --prefix=%{_prefix}					\
        --sysconfdir=%{_sysconfdir}				\
	--exec-prefix=%{_exec_prefix}				\
        --sbindir=%{_sbindir}					\
	--mandir=%{_mandir}					\
	--libdir=%{_libdir}					\
	--datadir=%{_datadir}					\
	--infodir=%{_infodir}					\
	--disable-static					\
	--disable-oss						\
	--with-systemdsystemunitdir=no				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}


%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%{__rm}							\
	%{buildroot}%{_defaultdocdir}/%{name}/README

%files			
%defattr(-,root,root,-)
%doc README
%{_bindir}/%{shortname}-boot
%{_bindir}/%{shortname}-gtk-play
%{_includedir}/%{shortname}*.h
%{_libdir}/gtk-*/modules/%{name}-gtk*-module.{la,so}
%{_libdir}/%{name}-%{version}/%{name}-*.{la,so}
%{_libdir}/%{name}-gtk*.{la,so*}
%{_libdir}/%{name}.{la,so*}
%{_libdir}/pkgconfig/%{name}*.pc
%{_libdir}/gnome-settings-daemon-*/gtk-modules/%{shortname}-gtk-module.desktop
%{_datadir}/gdm/autostart/LoginWindow/%{name}-ready-sound.desktop
%{_datadir}/gnome/autostart/%{name}-login-sound.desktop
%{_datadir}/gnome/shutdown/%{name}-logout-sound.sh
%{_datadir}/gtk-doc/html/%{name}/*.{html,png}
%{_datadir}/gtk-doc/html/%{name}/style.css
%{_datadir}/gtk-doc/html/%{name}/index.sgml
%{_datadir}/gtk-doc/html/%{name}/%{name}.devhelp2
%{_datadir}/vala/vapi/%{name}*.vapi


%pre

#after upgrade or remove
%preun

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
